Bug 731683 - Review Request: pyppd - PPD file compressor and generator for CUPS
Summary: Review Request: pyppd - PPD file compressor and generator for CUPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 11:02 UTC by Tim Waugh
Modified: 2011-09-13 02:30 UTC (History)
3 users (show)

Fixed In Version: pyppd-0.4.9-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 20:39:36 UTC
jpopelka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tim Waugh 2011-08-18 11:02:23 UTC
Spec URL: http://twaugh.fedorapeople.org/pyppd/pyppd.spec
SRPM URL: http://twaugh.fedorapeople.org/pyppd/pyppd-0.4.9-1.fc16.src.rpm
Description:
This program holds a compressed archive of PostScript Printer
Description files.  It can generate the PPD files on the fly for CUPS.

The point of this program is to be run at build time by printer driver packages such as hplip or foomatic.

For packages that ship lots of static PPDs, pyppd can save huge amounts of disk space.

For foomatic, which generates PPDs on the fly from XML files, pyppd can greatly increase performance.

Comment 1 Jiri Popelka 2011-08-18 12:07:25 UTC
Just informally:
You can remove the %defattr clauses, see
https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

Comment 2 Tim Waugh 2011-08-18 15:02:59 UTC
Thanks.  Updated URLs:

Spec URL: http://twaugh.fedorapeople.org/pyppd/pyppd.spec
SRPM URL: http://twaugh.fedorapeople.org/pyppd/pyppd-0.4.9-1.fc16.src.rpm

Comment 3 Jiri Popelka 2011-08-18 17:22:35 UTC
[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
pyppd.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/pyppd/pyppd-ppdfile.in 0644L /usr/bin/python
There's a comment in spec file saying that pyppd-ppdfile.in is only a template so I think this is acceptable.

[OK] MUST: The package must be named according to the Package Naming Guidelines.
[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[OK] MUST: The package must meet the Packaging Guidelines.
[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.
7161916c91af10b0493fa6b31ff53a0d  pyppd-0.4.9.tar.gz
7161916c91af10b0493fa6b31ff53a0d  pyppd-0.4.9.tar.gz

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[OK] MUST: All build dependencies must be listed in BuildRequires.
[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[OK] MUST: Packages must NOT bundle copies of system libraries.
[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage.
Do we need the -doc subpackage for 4 txt files having 32KiB in sum ?

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[N/A] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[N/A] MUST: Packages must not own files or directories already owned by other packages.
[OK] MUST: All filenames in rpm packages must be valid UTF-8.

[N/A] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[N/A] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[N/A] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[-] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
There's no man page for pyppd but the usage is described in README.txt so I would ship that file in the main package.

Comment 4 Tim Waugh 2011-08-19 08:24:58 UTC
(In reply to comment #3)
> [OK] MUST: Large documentation files must go in a -doc subpackage.
> Do we need the -doc subpackage for 4 txt files having 32KiB in sum ?

No, probably not.

> [-] SHOULD: your package should contain man pages for binaries/scripts. If it
> doesn't, work with upstream to add them where they make sense.
> There's no man page for pyppd but the usage is described in README.txt so I
> would ship that file in the main package.

I'll do that.  Upstream already has "add a man-page" on the to-do list.

Updated URLs:

Spec URL: http://twaugh.fedorapeople.org/pyppd/pyppd.spec
SRPM URL: http://twaugh.fedorapeople.org/pyppd/pyppd-0.4.9-1.fc16.src.rpm

Comment 5 Jiri Popelka 2011-08-19 08:35:09 UTC
Great. This package is Approved.

Comment 6 Tim Waugh 2011-08-19 10:29:40 UTC
New Package SCM Request
=======================
Package Name: pyppd
Short Description: PPD file compressor and generator for CUPS
Owners: twaugh jpopelka
Branches: f15 f16 el6

Comment 7 Gwyn Ciesla 2011-08-19 11:58:58 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-08-19 14:11:51 UTC
pyppd-0.4.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pyppd-0.4.9-1.fc16

Comment 9 Fedora Update System 2011-08-19 14:13:33 UTC
pyppd-0.4.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pyppd-0.4.9-1.fc15

Comment 10 Fedora Update System 2011-08-19 14:14:14 UTC
pyppd-0.4.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pyppd-0.4.9-1.el6

Comment 11 Fedora Update System 2011-08-19 15:26:10 UTC
pyppd-0.4.9-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 12 Fedora Update System 2011-08-30 20:39:31 UTC
pyppd-0.4.9-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2011-09-13 02:30:51 UTC
pyppd-0.4.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.